package com.ekingwin.bas.cloud.dataDictionary.service;

import com.ekingwin.bas.cloud.dataDictionary.dao.entity.DataDictionaryOption;
import com.ekingwin.bas.cloud.dataDictionary.dto.*;
import com.ekingwin.bas.cloud.infra.exception.BasException;
import com.ekingwin.bas.cloud.infra.service.IBaseEntityService;

import java.util.List;

public interface IDataDictionaryOptionService extends IBaseEntityService<DataDictionaryOptionDto> {
	/**
	 * 根据数据字典编码获取选项
	 * @param dictionaryen
	 * @return
	 * @throws BasException
	 */
	public List<DataDictionaryOptionDto> getByDictionaryen(String dictionaryen) throws BasException;
	/**
	 * 根据数据字典编码和选项值获取选项
	 * @param dictionaryen
	 * @param value
	 * @return
	 * @throws BasException
	 */
	public List<DataDictionaryOptionDto> getByDictionaryenAndOptionValue(String dictionaryen,String value) throws BasException;
	/**
	 * 保存数据字典选项
	 * @param dataDictionaryDto
	 * @return
	 * @throws BasException
	 */
	public void saveOptions(DataDictionaryDto dataDictionaryDto) throws BasException ;
	/**
	 * 根据PID删除选项
	 * @param pid
	 * @return
	 * @throws BasException
	 */
	public boolean deleteByPid(String pid) throws BasException ;
	/**
	 * 在选项中根据Value获取Text
	 * @param dataDictionaryOptionDtoList
	 * @param value
	 * @return
	 * @throws BasException
	 */
	public String getOptionTextByValue(List<DataDictionaryOptionDto> dataDictionaryOptionDtoList,String value) throws BasException ;
	
	/**
	 * 添加数据字典选项
	 * @param dataDictionaryDto
	 * @return
	 * @throws BasException
	 */
	public boolean addOptions(DataDictionaryDto dataDictionaryDto) throws BasException ;
	
	public List<DataDictionaryOption> queryOptionByDicId(String dictionaryId) throws BasException ;


	/**
	 * 根据模块和数据字典名称获取下拉框
	 * @param dataDictionaryDto
	 * @return
	 */
	List<DataDictionaryVo>  getByDictionaryenAndModel(DataDictionaryDto  dataDictionaryDto);


	/**
	* 版本
	* @Param:  * @param phoneType
	* @return: com.ekingwin.bas.cloud.dataDictionary.dto.AppVersionVo
	* @Author: zhangjie
	* @Date: 2019/11/5 15:19
	*/
	AppVersionVo getAppVersion(AppVersionDto appVersionDto);
}
