package com.ekingwin.bas.cloud.document.model;

public class DocModelConstant extends BaseContent {
	/*--------------------------基础属性-------------------------------*/
	/**
	 * 文档编号(唯一标识)
	 */
	public static final String DID = "dID";
	/**
	 * 内容ID(多份文档可能有一个内容ID)
	 */
	public static final String DOCNAME = "dDocName";
	/**
	 * 修订版本
	 */
	public static final String REVLABEL = "dRevLabel";
	/**
	 * 文档类型
	 */
	public static final String DOCTYPE = "dDocType";
	/**
	 * 文档标题
	 */
	public static final String DOCTITLE = "dDocTitle";
	/**
	 * 文档检入人
	 */
	public static final String DOCCREATOR = "dDocCreator";
	/**
	 * 文档作者
	 */
	public static final String DOCAUTHOR = "xDoc_Author";
	/**
	 * 文档检出人
	 */
	public static final String CHECKOUT_USER = "dCheckoutUser";
	/**
	 * 文档检出人编号
	 */
	public static final String CHECKOUT_USER_ID = "xCheckoutUser";
	
	/**
	 * 文档检出人名称
	 */
	public static final String CHECKOUT_USER_NAME = "xCheckoutUser";
	
	/**
	 * 文档注释
	 */
	public static final String COMMENTS = "xComments";
	/**
	 * 概要信息
	 */
	public static final String IDCPROFILE = "xIdcProfile";
	/**
	 * 安全组
	 */
	public static final String SECURITY_GROUP = "dSecurityGroup";
	/**
	 * 账户
	 */
	public static final String DOCACCOUNT = "dDocAccount";
	/**
	 * 创建时间
	 */
	public static final String CREATE_DATE = "dCreateDate";
	/**
	 * 生效时间
	 */
	public static final String IN_DATE = "dInDate";
	/**
	 * 失效时间
	 */
	public static final String OUT_DATE = "dOutDate";
	/**
	 * 文档历史记录
	 */
	public static final String REVISION_HISTORY = "REVISION_HISTORY";

	/**
	 * 文档详情
	 */
	public static final String DOC_INFO = "DOC_INFO";
	/**
	 * 主文件
	 */
	public static final String PRIMARYFILE = "primaryFile";
	/**
	 * 主文件名
	 */
	public static final String PRIMARYFILE_NAME = "dOriginalName";
	/**
     * 替代文件
     */
    public static final String ALTERNATEFILE = "alternateFile";
	/**
	 * 文件大小
	 */
	public static final String FILESIZE = "dFileSize";
	 /**
     * 目录编号
     */
    public static final String FOLDER_ID = "dCollectionID";

	/*--------------------------------IdcServer-----------------------------------*/
	/**
	 * 检入文档
	 */
	public static final String CHECKIN_NEW = "CHECKIN_NEW";

	/**
	 * 检入新版本文档
	 */
	public static final String CHECKIN_UNIVERSAL_IDCSERVICE = "CHECKIN_UNIVERSAL";

	/**
	 * 检出文档(根据文档ID)
	 */
	public static final String CHECKOUT_DID_IDCSERVICE = "CHECKOUT";
	/**
	 * 检出文档(根据内裤ID)
	 */
	public static final String CHECKOUT_NAME_IDCSERVICE = "CHECKOUT_BY_NAME";
	/**
	 * 释放检出(根据dID)
	 */
	public static final String UNDO_CHECKOUT_IDCSERVICE = "UNDO_CHECKOUT";
	/**
	 * 释放检出(根据docName)
	 */
	public static final String UNDO_CHECKOUT_BY_NAME_IDCSERVICE = "UNDO_CHECKOUT_BY_NAME";
	/**
	 * 更新文档属性
	 */
	public static final String UPDATE_DOCINFO_IDCSERVICE = "UPDATE_DOCINFO";
	/**
	 * 删除文档(删除文档的所有版本)
	 */
	public static final String DELETE_DOC_IDCSERVICE = "DELETE_DOC";
	/**
	 * 删除文档(根据版本删除文档)
	 */
	public static final String DELETE_REV_IDCSERVICE = "DELETE_REV";
	/**
	 * 根据内容ID获取文档详情
	 */
	public static final String DOC_INFO_BY_NAME_IDCSERVICE = "DOC_INFO_BY_NAME";
	/**
	 * 根据文档ID获取文档详情
	 */
	public static final String DOC_INFO_BY_DID_IDCSERVICE = "DOC_INFO";
	/**
	 * 获取文件
	 */
	public static final String GET_FILE_IDCSERVICE = "GET_FILE";
	/**
	 * 检索结果集
	 */
	public static final String GET_SEARCH_RESULTS_IDCSERVICE = "GET_SEARCH_RESULTS";

	/**
	 * 订阅
	 */
	public static final String SUBSCRIBE_IDCSERVICE = "SUBSCRIBE";
	/**
	 * 取消订阅
	 */
	public static final String UNSUBCRIBE_IDCSERVICE = "UNSUBSCRIBE";
	/**
	 * 查询语句
	 */
	public static final String QUERYTEXT = "QueryText";
	/**
	 * 允许被打断
	 */
	public static final String ALLOWINTERRUPT = "allowInterrupt";
	/**
	 * 文件类型
	 */
	public static final String RENDITION = "Rendition";
	/**
     * 获取目录下内容
     */
    public static final String COLLECTION_DISPLAY_IDCSERVICE = "COLLECTION_DISPLAY";
    /**
     * 是否包含内容项
     */
    public static final String HAS_COLLECTION_ID = "hasCollectionID";
    /**
     * 文号
     */
    public static final String DOC_NO = "docno";
    /**
     * 文号
     */
    public static final String WATERMARK = "watermark";
}
