package com.ekingwin.bas.cloud.document.service.impl;

import java.io.IOException;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import com.ekingwin.bas.cloud.document.UAttachementException;
import com.ekingwin.bas.cloud.document.DocManagerException;
import com.ekingwin.bas.cloud.document.dto.DocumentImageDto;
import com.ekingwin.bas.cloud.document.dto.PictureDto;
import com.ekingwin.bas.cloud.document.dto.UploadFileDto;
import com.ekingwin.bas.cloud.document.service.IIAttachmentService;
import com.ekingwin.bas.cloud.infra.dto.BaseResult;
import com.ekingwin.bas.cloud.infra.service.BaseService;
import com.ekingwin.bas.cloud.infra.utils.common.ResultUtils;
import com.ekingwin.bas.cloud.infra.utils.web.WebUtils;

@Primary
@Service
public class UploadPictureServiceImpl extends BaseService{
	
	@Value("${domainName}")
	private String domainName;
	@Autowired
	private IIAttachmentService attachmentManager;
	@Autowired
	private ManagementCenterServiceImpl managementCenterService;
	
	public BaseResult<PictureDto> uploadPicture(MultipartFile file) throws UAttachementException, IOException, DocManagerException{
		PictureDto pictureDto = new PictureDto();
		Map<String, String[]> fileMeta = WebUtils.getRequest().getParameterMap();
		String name = file.getOriginalFilename();
		UploadFileDto uploadFile = attachmentManager.upload(file.getInputStream(), name, fileMeta);
		pictureDto.setId(uploadFile.getId());
		pictureDto.setLocalPath(uploadFile.getLocalPath());
		pictureDto.setNewName(uploadFile.getNewName());
		pictureDto.setUrl("");
		DocumentImageDto image = managementCenterService.saveDocumentImage(uploadFile.getId());
		String callback = WebUtils.getRequest().getParameter("CKEditorFuncNum"); ;
		String  url = domainName+image.getUrl();
		PictureDto result = new PictureDto();
		result.setId(image.getId());
		result.setNewName(image.getName());
		result.setLocalPath(image.getLocation());
		result.setUrl(url);
		return ResultUtils.build(result);
	}
}
