package com.ekingwin.bas.cloud.document.service.impl;

import java.io.InputStream;
import java.util.List;
import java.util.Map;

import org.omg.CORBA.UserException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

import com.ekingwin.bas.cloud.document.dao.UploadUserDao;
import com.ekingwin.bas.cloud.document.dao.entity.UploadUser;
import com.ekingwin.bas.cloud.document.dto.UploadFileObject;
import com.ekingwin.bas.cloud.document.dto.UploadUserDto;
import com.ekingwin.bas.cloud.document.service.IUserService;
import com.ekingwin.bas.cloud.infra.dto.QueryDTO;
import com.ekingwin.bas.cloud.infra.dto.SaveResultDTO;
import com.ekingwin.bas.cloud.infra.exception.BasException;
import com.ekingwin.bas.cloud.infra.service.BaseService;
import com.ekingwin.bas.cloud.infra.utils.db.PageCriteria;

import tk.mybatis.mapper.entity.Example;

@Primary
@Service
public class UserServiceImpl extends BaseService implements IUserService {

    @Autowired
    private UploadUserDao uploadUserDao;
    
//	@Autowired
//	private IUserInOrgViewDao userInOrgViewDao;
//	
//    @Autowired
//    private IOrganizationService orgService;
    
	@Override
	public boolean save(UploadUserDto userDto) {
		try {
			save(userDto, UploadUser.class, uploadUserDao, 
				(Object dest, Object src) -> this.buildEntity(dest, src), 
				"empuid");
			
		} catch (BasException e) {
			log.error(e.getMessage(), e);
		}
		return true;
	}

	@Override
	public boolean delete(String id) {
		uploadUserDao.deleteByPrimaryKey(id);
		return true;
	}

	@Override
	public PageCriteria<UploadUserDto> query(QueryDTO query) {
		try {
			Example example = buildQuery(query, UploadUser.class);
			return query(query, 
						() -> uploadUserDao.selectByExample(example), 
						UploadUserDto.class, 
						(Object dest, Object src) -> this.buildDTO(dest, src));
		} catch (BasException e) {
			log.error(e.getMessage(), e);
		}
		return null;
	}
	
	//查询指定组织的用户
	@Override
	public PageCriteria<UploadUserDto> queryUsersInOrg(QueryDTO query) throws UserException{
		return null;
//		try {
//			Example example = buildQuery(query, UserInOrgView.class);
//			return query(query,  
//					() -> userInOrgViewDao.selectByExample(example), 
//					UserDto.class);
//		} catch (Exception e) {
//			log.error(e.getMessage(), e);
//			throw new UserException(e);
//		}
	}

	@Override
	public UploadUserDto get(String id)  {
		try {
			UploadUserDto userDto = get(UploadUserDto.class, id, uploadUserDao);
			this.buildDTO(userDto, userDto);
			return userDto;
		} catch (Exception e) {
			log.error(e.getMessage(), e);
		}
		return null;
	}
	
	private void buildEntity(Object dest, Object src) {
		try {
			super.commonBuild(dest, src);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	private void buildDTO(Object dest, Object src) {
		try {
//			UserDto userdto = (UserDto) dest;
			super.commonBuild(dest, src);
//			OrganizationDto org = null;
//			//设置岗位信息
//			if(userdto != null && StringUtils.isNotEmpty(userdto.getDefaultpos()))
//			{
//				org = orgService.get(userdto.getDefaultpos());
//				if(org != null)
//				{
//					userdto.setDefaultposname(org.getName());
//				}
//			}
//			//设置部门信息
//			if(userdto != null && StringUtils.isNotEmpty(userdto.getDeptid()))
//			{
//				org = orgService.get(userdto.getDeptid());
//				if(org != null)
//				{
//					userdto.setDeptName(org.getName());
//				}
//			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	@Override
	public UploadFileObject exportsUser(QueryDTO query) throws UserException {
		// TODO Auto-generated method stub
		return null;
	}

	
	@Override
	public UploadFileObject importsUser(InputStream in) throws UserException {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public PageCriteria<UploadUserDto> getUsersByNotBen(QueryDTO query) throws UserException {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public PageCriteria<UploadUserDto> getParentUserById(QueryDTO query) throws UserException {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public PageCriteria<UploadUserDto> getUsersByUser(QueryDTO query) throws UserException {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public void initializationUserPush() throws UserException {
		// TODO Auto-generated method stub
		
	}

	@Override
	public List<UploadUserDto> getAllUserByOrg(String orgid) throws UserException {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public SaveResultDTO changePassword(String userId, String oldPassword, String newPassword) throws UserException {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public int getMailNewcount() throws Exception {
		// TODO Auto-generated method stub
		return 0;
	}

	@Override
	public String getMailUrl() throws Exception {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public int judgeAdminByUserId(String userid) {
		// TODO Auto-generated method stub
		return 0;
	}

	@Override
	public void resetPassword(List<String> list) throws UserException {
		// TODO Auto-generated method stub
		
	}

	@Override
	public SaveResultDTO modifyPasswordByPhone(Map<String, String> map) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public SaveResultDTO modifyPasswordByEmail(Map<String, String> map) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public void callIDM(UploadUserDto userDto, String empuid, int iden) throws UserException {
		// TODO Auto-generated method stub
		
	}

	@Override
	public boolean deleteAccountByAccAndSyscode(String account, String syscode) {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public void pushDataIDMSeven(UploadUserDto userDto) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public boolean validationCodeValidity(String account, String code) throws UserException {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public UploadUserDto getUserByMobile(String mobile) throws UserException {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public PageCriteria<UploadUserDto> queryList(QueryDTO query, String logid, int flag) throws UserException {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public String getAndPostByUserid(String empuid) throws UserException {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public UploadUserDto getUserInfo(String userId) {
		// TODO Auto-generated method stub
		return null;
	}
	
}