package com.ekingwin.bas.cloud.document.utils;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;

import org.apache.commons.lang3.StringUtils;

import com.ekingwin.bas.cloud.document.dto.UploadFileObject;
/** 
 * @author    chenjb 
 */  
public class ZipFileUtils {  
    public static File addMultiFileToZip(List<UploadFileObject> fileObjs, String zipName){
		List<String> _fileNames = new ArrayList<String>();
		int index = 1;

		String tempDir = System.getProperty("user.dir");

		String zipPath = tempDir + zipName;
		
		File zipFile = new File(zipPath);
		
		FileOutputStream fous = null;  
		ZipOutputStream out = null;

		try {
			if(fileObjs != null){
				fous = new FileOutputStream(zipFile);
				out = new ZipOutputStream(fous); 
				for(UploadFileObject fo : fileObjs){
					addFileToZip(_fileNames, index, out, fo);
				}
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}finally{
			try {
				out.close();
				fous.close();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
		return zipFile;
	}

    public static String buildFileName(String zipName) {
		if(StringUtils.isEmpty(zipName)){
			zipName = UUID.randomUUID()+ ".zip";
		}else if(!zipName.contains(".zip")){
			zipName += "_" + UUID.randomUUID();
			zipName += ".zip";
		}else{
			zipName = zipName.substring(0, zipName.indexOf(".zip"));
			zipName += "_" + UUID.randomUUID();
			zipName += ".zip";
		}
		return zipName;
	}
	
	private static void addFileToZip(List<String> _fileNames, int index, ZipOutputStream out, UploadFileObject fo){
		String fileName = fo.getName();
		if(_fileNames.contains(fileName)){
			fileName = fileName + "_" + index;
			index ++;
		}
		_fileNames.add(fileName);

        
		InputStream fis = fo.getStream();
		BufferedInputStream bis = new BufferedInputStream(fis); 
		try {
	        ZipEntry entry = new ZipEntry(fileName);  
            out.putNextEntry(entry);  
			int bytesRead = 0;
			byte[] buff = new byte[2048];
			while (-1 != (bytesRead = bis.read(buff, 0, buff.length))) {
				out.write(buff, 0, bytesRead);
			}
		} catch (IOException e) {
			e.printStackTrace();
		}finally{
			try {
				bis.close();
				fis.close();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}
      
}  