package com.ekingwin.bas.cloud.org.dao;

import java.util.List;
import java.util.Map;

public interface IOrganizationManagerDao {
	/**
	 * 将用户添加到组织下
	 * 
	 * @author caiyang
	 *
	 */
	public void assignUsersToOrg(Map<String, String> map);
	/**
	 * 添加兼岗
	 * @param map
	 */
	public void assignOrgsToUser(Map<String, String> map);
	/**
	 * 删除兼岗
	 * @param map
	 */
	public void removeOrgsToUser(Map<String, Object> map);
	// 将用户移除组织
	public void removeUsersFromOrg(Map<String,String> map);
	
	public List<Map<String, Object>> getPostId(String id);
	/**
	 * 判断岗位是否存在，以免报错，影响后面的代码执行
	 * @param map
	 * @return
	 */
	public int judgePost(Map<String, String> map);
	/**
	 * 删除主岗
	 * @param map
	 */
	public void removeMainPost(Map<String, String> map);
	/**
	 * 判断兼岗时差存在
	 * @param maps
	 * @return
	 */
	public int judgePartPost(Map<String, String> maps);



	/**
	 * 同步用户岗位到bpm引擎中用于流程相关操作
	 *
	 * @author hyl
	 *
	 */
	public void assignUsersToBpmOrg(Map<String, String> map);

}
