package com.ekingwin.bas.cloud.org.service;

import java.util.List;
import java.util.Map;

import com.ekingwin.bas.cloud.infra.dto.QueryDTO;
import com.ekingwin.bas.cloud.infra.service.IBaseEntityService;
import com.ekingwin.bas.cloud.infra.utils.db.PageCriteria;
import com.ekingwin.bas.cloud.org.OrganizationException;
import com.ekingwin.bas.cloud.org.dto.OrganizationAuthorityDto;
import com.ekingwin.bas.cloud.org.dto.OrganizationDto;
import com.ekingwin.bas.cloud.user.dto.UserDto;
/**
 * 组织权限的业务逻辑处理接口
 * @author caiyang
 *
 */
public interface IOrganizationAuthorityService extends IBaseEntityService<OrganizationAuthorityDto>{
public boolean saveAll(OrganizationAuthorityDto orgAutDto) throws OrganizationException;
	
	public boolean removeMaintainersFromOrg(Map<String, String> map) throws OrganizationException;

	public PageCriteria<OrganizationDto> queryOrgForMaintainer(QueryDTO query) throws OrganizationException;

	public PageCriteria<UserDto> queryMaintainersInOrg(QueryDTO query) throws OrganizationException;
	
	//根据被授权人与授权组织查询授权信息
    public OrganizationAuthorityDto getOrgAutByUserOrg(Map<String, String> map)throws OrganizationException;
  //查询所有授权信息
  	public List<OrganizationAuthorityDto> getOrgAut()throws OrganizationException;
  	//查询当前用户下的授权信息
  	public PageCriteria<OrganizationAuthorityDto> getOrgAutByUser(QueryDTO query,String userid,int flag)throws OrganizationException;
}
