package com.ekingwin.bas.cloud.org.service;


import com.ekingwin.bas.cloud.infra.dto.BaseResult;
import com.ekingwin.bas.cloud.infra.service.IBaseCurdService;
import com.ekingwin.bas.cloud.org.OrganizationException;
import com.ekingwin.bas.cloud.org.dao.entity.OrganizationUser;
import com.ekingwin.bas.cloud.org.dto.OrganizationUserDto;
import com.ekingwin.bas.cloud.org.vo.OrganizationCompanyVo;

import java.util.List;

public interface IOrganizationUserService extends IBaseCurdService<OrganizationUserDto> {
	/**
	 * 全部删除
	 * @return
	 */
	public BaseResult deleteAll() throws OrganizationException;
	
	
	public OrganizationUserDto getOrgUser(String userid,String orgid) throws OrganizationException;

	public OrganizationUserDto insertOrupdate(String empid,String orgid,String ismainpost) throws OrganizationException;
	
	public OrganizationUser getOrganizationUser(String empid, String orgid,String ismainpost) throws OrganizationException;
	
	/**
	 * 批量更新
	 */
	public void batchUpdate(List<OrganizationUser> updateList) throws OrganizationException;
	/**
	 * 批量新增
	 */
	public void batchInsert(List<OrganizationUser> insertList) throws OrganizationException;


	/**
	 * 删除组织下的用户
	 * @param userid
	 * @param orgid
	 * @return
	 * @throws OrganizationException
	 */
	public boolean deleteUser(String userid,String orgid) throws  OrganizationException;


	/**
	 * 根据登录当前登录人获取所在公司
	 * @param userid
	 * @return
	 */
	List<OrganizationCompanyVo> getCompanyByUserId(String userid);
	}
