package com.ekingwin.bas.cloud.org.service.impl;


import com.ekingwin.bas.cloud.infra.dto.BaseResult;
import com.ekingwin.bas.cloud.infra.dto.QueryDTO;
import com.ekingwin.bas.cloud.infra.exception.BasException;
import com.ekingwin.bas.cloud.infra.service.BaseService;
import com.ekingwin.bas.cloud.infra.utils.common.ResultUtils;
import com.ekingwin.bas.cloud.infra.utils.db.PageCriteria;
import com.ekingwin.bas.cloud.org.OrganizationException;
import com.ekingwin.bas.cloud.org.dao.IOrgDao;
import com.ekingwin.bas.cloud.org.dao.entity.Organization;
import com.ekingwin.bas.cloud.org.dto.OrgDto;
import com.ekingwin.bas.cloud.org.service.IOrgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

@Service
@Primary
public class OrgServiceImpl extends BaseService implements IOrgService {

	@Autowired
	private IOrgDao orgDao;
	@Override
	public BaseResult save(OrgDto orgDto) throws BasException {
		BaseResult br=ResultUtils.build(orgDto);
		try {
			save(orgDto, Organization.class, orgDao);
			br.setMessage("添加组织成功");
		} catch (BasException e) {
			log.error(e.getMessage(), e);
		}
	return  ResultUtils.build(br);
	}


	@Override
	public BaseResult<OrgDto> delete(String id) throws BasException {
		orgDao.deleteByPrimaryKey(id);
		return ResultUtils.build();
	}

	@Override
	public BaseResult<PageCriteria<OrgDto>> query(QueryDTO queryDTO) throws BasException {
		return null;
	}

	@Override
	public BaseResult<OrgDto> get(String id) throws BasException {
		try {
			OrgDto result = get(OrgDto.class, id, orgDao);
			return ResultUtils.build(result);
		} catch (Exception e) {
			log.error(e.getMessage(), e);
			throw new OrganizationException(e.getMessage(),e);
		}
	}
}
    
    


	
	
	
