package com.ekingwin.bas.cloud.supplier.dao;

import com.ekingwin.bas.cloud.dto.BasePageDto;
import com.ekingwin.bas.cloud.supplier.dao.entity.Supplier;
import com.ekingwin.bas.cloud.supplier.dto.SuppliersSaveDto;
import com.ekingwin.bas.cloud.supplier.vo.AccountCenterInfo;
import com.ekingwin.bas.cloud.supplier.vo.SupplierBankVo;
import com.ekingwin.bas.cloud.supplier.vo.SupplierPageInfoVo;
import com.ekingwin.bas.mapper.BasMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SupplierDao extends BasMapper<Supplier>{

    List<SupplierPageInfoVo> selectPage(BasePageDto basePageDto);

    AccountCenterInfo getAccountCenterInfo(@Param(value = "dataSource") String dataSource,@Param(value = "supplierId") String supplierId);

    int updateAccountCenterInfo(AccountCenterInfo accountCenterInfo);

    /**
     * 同步供应商
     * @param suppliersSaveDto
     * @return
     */
    int insertSuppliers(SuppliersSaveDto suppliersSaveDto);


    /**
     * 获取供应商的银行信息
     * @param supplierid
     * @return
     */
    List<SupplierBankVo> getSuppliersBank(String supplierid);
}
