package com.ekingwin.bas.cloud.user.service;

import com.ekingwin.bas.cloud.infra.dto.QueryDTO;
import com.ekingwin.bas.cloud.infra.service.IBaseEntityService;
import com.ekingwin.bas.cloud.infra.utils.db.PageCriteria;
import com.ekingwin.bas.cloud.user.UserException;
import com.ekingwin.bas.cloud.user.dto.UserPostDto;
import com.ekingwin.bas.cloud.user.dto.ViewUserRoleOrgDTO;

public interface IUserRoleOrgService extends IBaseEntityService<ViewUserRoleOrgDTO> {

	public PageCriteria<ViewUserRoleOrgDTO> queryUserRoleOrg(QueryDTO query) throws Exception;

	/**
	 * 根据登录用户和组织id查询组织下的用户
	 * @param query
	 * @param orgid
	 * @param logid
	 * @return
	 * @throws UserException 
	 */
	public PageCriteria<UserPostDto> getUserByOrgidAndLogid(QueryDTO query, String orgid, String logid,int num) throws UserException;

}
